package utils;/**
 * Created by Gondr on 1/06/2017.
 */

import static org.junit.Assert.*;

import org.junit.Test;

public class DataValidatorTest {

    @Test
    public void testAddress(){
        assertTrue(DataValidator.addressValidator("80 Staveley Street"));
        assertTrue(!DataValidator.addressValidator("80 Staveley 5Street"));
        assertTrue(!DataValidator.addressValidator("80 ~Staveley Street,"));
        assertTrue(!DataValidator.addressValidator("Staveley Street 80"));
        assertTrue(DataValidator.addressValidator("80/1 Staveley Street"));
        assertTrue(DataValidator.addressValidator("80/1A Staveley Street"));
        assertTrue(DataValidator.addressValidator("80A/1A Staveley Street"));
        assertTrue(DataValidator.addressValidator("80A Staveley Street"));
        assertTrue(DataValidator.addressValidator("80a Staveley Street"));
        assertTrue(DataValidator.addressValidator("80d Staveley Street"));
        assertTrue(DataValidator.addressValidator("80D Staveley Street"));
        assertTrue(!DataValidator.addressValidator(""));
        assertTrue(!DataValidator.addressValidator("80"));
    }

}